f = imread('pout.tif');
h = imhist(f);
h1 = h(1:10:256)
horz = 1:10:256;
bar(horz,h1,0.5)
axis([0 256 0 1500]);
set(gca,'xtick', 0:50:256);
set(gca,'ytick', 0:200:1500);
xlabel('Intensity Levels','fontsize',12);
ylabel('Number Of Pixels','fontsize',12);
title('Histogram of Digital Image');
text(130,1300,'Transformation Function',...
    'fontsize',15);



